<template>
  <div class="slider_logos co-workers">
    <span> {{ $t("our_partners") }}</span>
    <img src="@/static/assets/images/gradient_left.png" class=" gradient_left " alt="">
    <VueSlickCarousel class="sliders" v-bind="settings" ref="carousel">

      <div class="wrapper">
        <img src="@/static/assets/partners/alpha.svg" class="img-fluid" alt=""/>
      </div>
      <div class="wrapper">
        <img src="@/static/assets/partners/mediapark.svg" class="img-fluid" alt=""/>
      </div>
      <div class="wrapper">
        <img src="@/static/assets/partners/samarkand.svg" class="img-fluid" alt=""/>
      </div>
      <div class="wrapper">
        <img src="@/static/assets/partners/nescafe.svg" class="img-fluid" alt=""/>
      </div>
      <div class="wrapper">
        <img src="@/static/assets/partners/samarkandMar.svg" class="img-fluid" alt=""/>
      </div>

      <div class="wrapper">
        <img src="@/static/assets/partners/cyberArena.svg" class="img-fluid" alt=""/>
      </div>

      <div class="wrapper">
        <img src="@/static/assets/partners/nestone.svg" class="img-fluid" alt=""/>
      </div>

      <div class="wrapper">
        <img src="@/static/assets/partners/sampi.svg" class="img-fluid" alt=""/>
      </div>

      <div class="wrapper">
        <img src="@/static/assets/partners/dudek.svg" class="img-fluid" alt=""/>
      </div>

      <div class="wrapper">
        <img src="@/static/assets/partners/pepsi.svg" class="img-fluid" alt=""/>
      </div>

      <div class="wrapper">
        <img src="@/static/assets/partners/tbc.svg" class="img-fluid" alt=""/>
      </div>

      <div class="wrapper">
        <img src="@/static/assets/partners/touch.svg" class="img-fluid" alt=""/>
      </div>

      <div class="wrapper">
        <img src="@/static/assets/partners/r-zone.svg" class="img-fluid" alt=""/>
      </div>

      <div class="wrapper">
        <img src="@/static/assets/partners/xurmo.svg" class="img-fluid" alt=""/>
      </div>

      <div class="wrapper">
        <img src="@/static/assets/partners/goodveen.svg" class="img-fluid" alt=""/>
      </div>

      <div class="wrapper">
        <img src="@/static/assets/partners/raritek.svg" class="img-fluid" alt=""/>
      </div>

      <div class="wrapper">
        <img src="@/static/assets/partners/ziyoforum.svg" class="img-fluid" alt=""/>
      </div>

      <div class="wrapper">
        <img src="@/static/assets/partners/inson.svg" class="img-fluid" alt=""/>
      </div>

      <div class="wrapper">
        <img src="@/static/assets/partners/alif.svg" class="img-fluid" alt=""/>
      </div>

      <div class="wrapper">
        <img src="@/static/assets/partners/riviera.svg" class="img-fluid" alt=""/>
      </div>

      <div class="wrapper">
        <img src="@/static/assets/images/makro_logo.svg" class="img-fluid" alt=""/>
      </div>

    </VueSlickCarousel>
    <div class="arrows">
      <a @click.prevent="showPrev">
        <div class="swiper-button-prev co-workers__prev">
          <svg width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg">
            <rect x="0.5" y="0.5" width="31" height="31" rx="3.5" stroke="white"/>
            <path
              d="M11.1967 15.6015L18.078 8.66404C18.2983 8.44373 18.6545 8.44373 18.8749 8.66404L19.803 9.59217C20.0233 9.81248 20.0233 10.1687 19.803 10.389L14.2483 16L19.803 21.6109C20.0233 21.8312 20.0233 22.1875 19.803 22.4078L18.8749 23.3359C18.6545 23.5562 18.2983 23.5562 18.078 23.3359L11.1967 16.3984C10.9764 16.1781 10.9764 15.8219 11.1967 15.6015Z"
              fill="white"/>
          </svg>
        </div>
      </a>
      <a @click.prevent="showNext">
        <div class="swiper-button-next co-workers__next">
          <svg width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg">
            <rect x="0.5" y="0.5" width="31" height="31" rx="3.5" stroke="white"/>
            <g clip-path="url(#clip0)">
              <path
                d="M20.803 16.3985L13.9218 23.336C13.7015 23.5563 13.3452 23.5563 13.1249 23.336L12.1968 22.4078C11.9765 22.1875 11.9765 21.8313 12.1968 21.611L17.7515 16L12.1968 10.3891C11.9765 10.1688 11.9765 9.81252 12.1968 9.59221L13.1249 8.66408C13.3452 8.44377 13.7015 8.44377 13.9218 8.66408L20.803 15.6016C21.0233 15.8219 21.0233 16.1781 20.803 16.3985Z"
                fill="white"/>
            </g>
            <defs>
              <clipPath id="clip0">
                <rect width="9" height="24" fill="white" transform="translate(21 28) rotate(180)"/>
              </clipPath>
            </defs>
          </svg>
        </div>
      </a>

    </div>
    <img src="@/static/assets/images/gradient_right.png" class="  gradient_right " alt="">

  </div>
</template>

<script>
import VueSlickCarousel from "vue-slick-carousel";
import "vue-slick-carousel/dist/vue-slick-carousel.css";
import "vue-slick-carousel/dist/vue-slick-carousel-theme.css";

export default {
  name: "sliderPartners",

  components: {VueSlickCarousel},
  data() {
    return {
      settings: {
        arrows: false,
        infinite: true,
        centerMode: true,
        centerPadding: "20px",
        slidesToShow: 1,
        variableWidth: true,
        "focusOnSelect": true,


        "responsive": [
          {
            "breakpoint": 1024,
            "settings": {
              "slidesToShow": 3,
              "slidesToScroll": 4,
              "infinite": true,
              "dots": true,

            }
          },
          {
            "breakpoint": 600,
            "settings": {
              "slidesToShow": 1,
              "slidesToScroll": 1,
              "initialSlide": 1
            }
          },
          {
            "breakpoint": 480,
            "settings": {
              "slidesToShow": 1,
              "slidesToScroll": 1
            }
          }
        ]
      },
    };
  },
  methods: {
    showNext() {
      this.$refs.carousel.next()
    },
    showPrev() {
      this.$refs.carousel.prev()
    },
  },
};
</script>

<style lang="scss">
.wrapper{
  padding-right: 40px;
}
.co-workers {
  margin: 50px 0;

  .container {
    .row {
      position: relative;
    }
  }

  &__block {
    position: relative;
    overflow: hidden;
    margin: 0 5%;

    .co-workers__wrapper {
      user-select: none;
      display: flex;
      width: 100vw;

      .co-workers__slide {
        background: none;
      }
    }
  }

  .co-workers__prev {
    z-index: 999;
    user-select: none;
    position: absolute;
    left: 0;
    top: 95px;
    outline: none;
    cursor: pointer;

    &:hover {
      svg path {
        fill: #81007F;
      }
    }

    &:active {
      svg path {
        fill: #81007F;
      }
    }
  }

  .co-workers__next {
    z-index: 9999;
    user-select: none;
    position: absolute;
    right: 0;
    top: 95px;
    outline: none;
    cursor: pointer;

    &:hover {
      svg path {
        fill: #81007F;
      }
    }

    &:active {
      svg path {
        fill: #81007F;
      }
    }
  }
}


img {
  //margin-right: 86px;
  box-sizing: border-box;
  margin-top: 5px;
  pointer-events: none;

}

.slider_logos {
  position: relative;
  padding: 30px 0;
  margin-top: 120px;
  margin-bottom: 93px;
}

.gradient_left {
  top: 66px;
  position: absolute;
  z-index: 1;
  left: -6px;
}

.gradient_right {
  position: absolute;
  z-index: 1;
  top: 64px;
  right: -89px;
}

span {
  margin-top: 64px;
  font-style: normal;
  font-weight: 400;
  font-size: 24px;
  line-height: 155.9%;
  text-align: justify;
  color: #FFFFFF;
  opacity: 0.8;
}

@media screen and (max-width: 567px) {
  .gradient_right {
    display: none;
  }
  .slick-slide img[data-v-e4caeaf8] {
    width: 70%;
  }
  .slider_logos {
    width: 90%;
    margin-left: 15px;
  }

  .wrapper {
    box-sizing: border-box;
    margin-right: 40px;
  }


  .slider_logos {
    padding: 30px 0;
    margin-top: 120px;
    margin-bottom: 0px;
  }

  .gradient_left {
    width: 103px !important;
    height: 95px !important;
  }

  .gradient_right {
    width: 103px !important;
    height: 95px !important;
  }
}

</style>
